libmpcdec: mpc_decoder_t Struct Reference

Main Page | Class List | Directories | File List | Class Members | File Members | Related Pages

# mpc_decoder_t Struct Reference

List of all members.

## Public Attributes

mpc_reader * | r
internal state variables
mpc_uint32_t | dword
mpc_uint32_t | pos
| actually decoded 32bit-word
mpc_uint32_t | Speicher [MPC_DECODER_MEMSIZE]
| bit-position within dword
mpc_uint32_t | Zaehler
| read-buffer
mpc_uint32_t | samples_to_skip
| actual index within read-buffer
mpc_uint32_t | FwdJumpInfo
mpc_uint32_t | ActDecodePos
mpc_uint32_t | FrameWasValid
mpc_uint32_t | DecodedFrames
mpc_uint32_t | OverallFrames
mpc_int32_t | SampleRate
mpc_uint32_t | StreamVersion
mpc_uint32_t | MS_used
mpc_int32_t | Max_Band
mpc_uint32_t | MPCHeaderPos
mpc_uint32_t | LastValidSamples
mpc_uint32_t | TrueGaplessPresent
mpc_uint32_t | EQ_activated
mpc_uint32_t | WordsRead
mpc_uint32_t | __r1
mpc_uint32_t | __r2
mpc_uint32_t | Q_bit [32]
mpc_uint32_t | Q_res [32][16]
HuffmanTyp | HuffHdr [10]
HuffmanTyp | HuffSCFI [4]
HuffmanTyp | HuffDSCF [16]
HuffmanTyp * | HuffQ [2][8]
HuffmanTyp | HuffQ1 [2][3 *3 *3]
HuffmanTyp | HuffQ2 [2][5 *5]
HuffmanTyp | HuffQ3 [2][7]
HuffmanTyp | HuffQ4 [2][9]
HuffmanTyp | HuffQ5 [2][15]
HuffmanTyp | HuffQ6 [2][31]
HuffmanTyp | HuffQ7 [2][63]
const HuffmanTyp * | SampleHuff [18]
HuffmanTyp | SCFI_Bundle [8]
HuffmanTyp | DSCF_Entropie [13]
HuffmanTyp | Region_A [16]
HuffmanTyp | Region_B [8]
HuffmanTyp | Region_C [4]
HuffmanTyp | Entropie_1 [3]
HuffmanTyp | Entropie_2 [5]
HuffmanTyp | Entropie_3 [7]
HuffmanTyp | Entropie_4 [9]
HuffmanTyp | Entropie_5 [15]
HuffmanTyp | Entropie_6 [31]
HuffmanTyp | Entropie_7 [63]
mpc_int32_t | SCF_Index_L [32][3]
mpc_int32_t | SCF_Index_R [32][3]
QuantTyp | Q [32]
mpc_int32_t | Res_L [32]
mpc_int32_t | Res_R [32]
mpc_int32_t | DSCF_Flag_L [32]
mpc_int32_t | DSCF_Flag_R [32]
mpc_int32_t | SCFI_L [32]
mpc_int32_t | SCFI_R [32]
mpc_int32_t | DSCF_Reference_L [32]
mpc_int32_t | DSCF_Reference_R [32]
mpc_int32_t | MS_Flag [32]
MPC_SAMPLE_FORMAT | V_L [MPC_V_MEM+960]
MPC_SAMPLE_FORMAT | V_R [MPC_V_MEM+960]
MPC_SAMPLE_FORMAT | Y_L [36][32]
MPC_SAMPLE_FORMAT | Y_R [36][32]
MPC_SAMPLE_FORMAT | SCF [256]
| holds adapted scalefactors (for clipping prevention)

## Detailed Description

Definition at line 56 of file decoder.h.

The documentation for this struct was generated from the following file:

- include/mpcdec/decoder.h